<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wcs/tomes/dt_mes_head.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wcs/tomes/dt_mes_head.js";
var vueParam={
  data() {
    return {
      table: {
        key: "mes_id",
        footer: "Foots",
        cnName: "工单信息",
        name: "work/dt_mes_head",
        url: "/dt_mes_head/",
        sortName: "CreateTime",
      },
      extend: extend,
      editFormFields: {
        workOrder: "",
        jobID: "",
        drawingNo: "",
        productDesc: "",
        CreateTime:"",
        quantity:"",
      },
      editFormOptions: [
        [
          { title: "工作令号", field: "workOrder", readonly: true },
          { title: "工单编号", field: "jobID", readonly: true },
          { title: "图号", field: "drawingNo", readonly: true },
        ],
        [
          { title: "创建时间", field: "CreateTime", disabled: true },
          {
            title: "产品描述",
            field: "productDesc",
            colSize: 8,
            type: "textarea",
          },
        ],
      ],
      searchFormFields: {
        workOrder: "",
        jobID: "",
        drawingNo: "",
        productDesc: "",
        processCode:"",
      },
      searchFormOptions: [
        [
          { title: "工作令号", field: "workOrder" },
          { title: "工单编号", field: "jobID" },
          { title: "图号", field: "drawingNo" },
        ],
        [
        {
          dataKey: "WorkTypes",
          data: [],
          title: "工单类型",
          field: "processCode",
          type: "select",
        },
        { title: "创建时间", field: "CreateTime", type: "datetime" },
        ]
      ],
      columns: [
        {
          field: "mes_id",
          title: "mes_id",
          type: "guid",
          width: 110,
          hidden: true,
          readonly: true,
          require: true,
          align: "left",
        },
        {
          field: "workOrder",
          title: "工作令号",
          type: "string",
          width: 110,
          align: "left",
          sort: true,
        },
        {
          field: "jobID",
          title: "工单编号",
          type: "string",
          link: true,
          width: 110,
          align: "left",
        },
        // {
        //   field: "reqID",
        //   title: "需求单号",
        //   type: "string",
        //   width: 110,
        //   align: "left",
        // },
        // {
        //   field: "reqIDLineNo",
        //   title: "需求单号行号",
        //   type: "string",
        //   width: 110,
        //   align: "left",
        // },
        // {
        //   field: "materialCode",
        //   title: "物料编码",
        //   type: "string",
        //   width: 110,
        //   align: "left",
        // },
        {
          field: "drawingNo",
          title: "图号",
          type: "string",
          width: 110,
          align: "left",
        },
        {
          field: "drawingNoVer",
          title: "技术状态",
          type: "string",
          width: 110,
          align: "left",
        },
        // {
        //   field: "productName",
        //   title: "产品名称",
        //   type: "string",
        //   width: 110,
        //   align: "left",
        // },
        {
        field: "processCode",
        title: "工单类型",
        bind: { key: "WorkTypes" },
        type: "string",
        width: 110,
        align: "left",
      },
        {
          field: "quantity",
          title: "计划数量",
          type: "int",
          width: 110,
          require: true,
          align: "left",
        },{
        field: "finishNum",
        title: "完成数量",
        type: "int",
        width: 110,
        align: "left",
      },{
        field: "area",
        title: "指定库区",
        type: "string",
        width: 110,
        align: "left",
      },
        // {
        //   field: "typeID",
        //   title: "轮型代码",
        //   type: "string",
        //   width: 110,
        //   align: "left",
        // },
        // {
        //   field: "stackNoRange",
        //   title: "打包数量",
        //   type: "int",
        //   width: 110,
        //   align: "left",
        // },
        // {
        //   field: "maxDiameterDiff",
        //   title: "轮径偏差",
        //   type: "decimal",
        //   width: 110,
        //   align: "left",
        // },
        {
          field: "expectedStartTime",
          title: "计划开始时间",
          type: "datetime",
          width: 150,
          align: "left",
          sort: true,
        },
        {
          field: "expectedFinishTime",
          title: "计划完成时间",
          type: "datetime",
          width: 150,
          align: "left",
          sort: true,
        },
        {
          field: "CreateTime",
          title: "创建时间",
          type: "datetime",
          width: 150,
          align: "left",
          sort: true,
        },
        {
          field: "creator",
          title: "创建者",
          type: "string",
          width: 100,
          align: "left",
        },
        {
          field: "productDesc",
          title: "产品描述",
          type: "string",
          width: 180,
          align: "left",
        },
        {
          field: "FinishTime",
          title: "完成时间",
          type: "datetime",
          width: 150,
          align: "left",
          sort: true,
        },
      ],
      detail: {
        cnName: "工单明细",
        table: "dt_mes_detail",
        columns: [
          {
            field: "mes_detail_id",
            title: "工单明细ID",
            type: "guid",
            width: 110,
            hidden: true,
            readonly: true,
            require: true,
            align: "left",
          },
          {
            field: "jobID",
            title: "工单编号",
            type: "string",
            width: 110,
            align: "left",
            sort: true,
          },
          {
            field: "heatID",
            title: "炉代号",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "billetID",
            title: "钢坯号",
            type: "int",
            width: 110,
            require: true,
            align: "left",
          },
          {
            field: "SN",
            title: "车轮SN号",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "heatBatchID",
            title: "热处理批次",
            type: "string",
            width: 110,
            align: "left",
          },
          //   {
          //     field: "mes_headID",
          //     title: "工单头表ID",
          //     type: "guid",
          //     width: 110,
          //     align: "left",
          //   },
          {
            field: "Status",
            title: "工单状态",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "FinishTime",
            title: "完成时间",
            type: "datetime",
            width: 150,
            align: "left",
            sort: true,
          },
        ],
        sortName: "jobID",
        key: "mes_detail_id",
      },
    };
  },
};
export default vueParam;
</script>
